private object LibraryVersion {
    const val KODEIN = "6.4.0"
    const val RETROFIT = "2.6.4"
    const val LOGGING_INTERCEPTOR = "3.12.10"
    const val TIMBER = "4.7.1"
    const val APP_COMPACT = "1.2.0-alpha02"
    const val RECYCLER_VIEW = "1.0.0"
    const val COORDINATOR_LAYOUT = "1.0.0"
    const val PLAY_CORE = "1.7.3"
    const val PLAY_ADS = "17.0.0"
    // 1.1.x version is required in order to support the dark theme functionality in
    // Android Q (adds Theme.MaterialComponents.DayNight)
    const val MATERIAL = "1.1.0-alpha10"
    const val CONSTRAINT_LAYOUT = "2.0.0-rc1"
    const val CORE_KTX = "1.1.0"
    const val FRAGMENT_KTX = "1.1.0"
    const val LIFECYCLE = "1.1.1"
    const val LIFECYCLE_VIEW_MODEL_KTX = "2.1.0"
    const val COIL = "0.11.0"
    const val COIL_SVG = "0.11.0"
    const val K_ANDROID = "0.8.8@aar"
    const val GOOGLE_SERVICES = "4.3.3"
    const val FIREBASE_AUTH = "19.1.0"
    const val FIREBASE_FIRESTORE = "21.3.0"
    const val FIREBASE_MESSAGING = "20.2.1"
    const val FIREBASE_INAPPMESSAGING = "19.0.7"
    const val FIREBASE_IID = "20.2.1"
    const val FIREBASE_CORE = "17.4.3"
    const val CRASHLYTICS = "2.10.1"
    const val FABRIC = "1.29.0"
    const val NUMBER_PICKER = "0.2.2"
    const val PAGER_INDICATOR = "2.1.4"
    const val RANGE_SEEK_BAR = "1.1.3"
    const val MARKDOWN_VIEW = "4.3.1"
    const val ADJUST = "4.21.1"
    const val INSTALL_REFERRER = "1.1.2"
    const val GOOGLE_MAP = "17.0.0"
}

object LibraryDependency {
    const val KOTLIN = "org.jetbrains.kotlin:kotlin-stdlib-jdk7:${CoreVersion.KOTLIN}"
    // Required by Android dynamic feature modules and SafeArgs
    const val KOTLIN_REFLECT = "org.jetbrains.kotlin:kotlin-reflect:${CoreVersion.KOTLIN}"
    const val KODEIN = "org.kodein.di:kodein-di-generic-jvm:${LibraryVersion.KODEIN}"
    const val KODEIN_ANDROID_X = "org.kodein.di:kodein-di-framework-android-x:${LibraryVersion.KODEIN}"
    const val RETROFIT = "com.squareup.retrofit2:retrofit:${LibraryVersion.RETROFIT}"
    const val RETROFIT_MOSHI_CONVERTER = "com.squareup.retrofit2:converter-moshi:${LibraryVersion.RETROFIT}"
    const val LOGGING_INTERCEPTOR = "com.squareup.okhttp3:logging-interceptor:${LibraryVersion.LOGGING_INTERCEPTOR}"
    const val TIMBER = "com.jakewharton.timber:timber:${LibraryVersion.TIMBER}"
    const val SUPPORT_CONSTRAINT_LAYOUT = "androidx.constraintlayout:constraintlayout:${LibraryVersion.CONSTRAINT_LAYOUT}"
    const val PLAY_CORE = "com.google.android.play:core:${LibraryVersion.PLAY_CORE}"
    const val PLAY_ADS = "com.google.android.gms:play-services-ads-identifier:${LibraryVersion.PLAY_ADS}"
    const val APP_COMPACT = "androidx.appcompat:appcompat:${LibraryVersion.APP_COMPACT}"
    const val RECYCLER_VIEW = "androidx.recyclerview:recyclerview:${LibraryVersion.RECYCLER_VIEW}"
    const val COORDINATOR_LAYOUT = "androidx.coordinatorlayout:coordinatorlayout:${LibraryVersion.COORDINATOR_LAYOUT}"
    const val MATERIAL = "com.google.android.material:material:${LibraryVersion.MATERIAL}"
    const val COROUTINES_ANDROID = "org.jetbrains.kotlinx:kotlinx-coroutines-android:${CoreVersion.COROUTINES_ANDROID}"
    const val CORE_KTX = "androidx.core:core-ktx:${LibraryVersion.CORE_KTX}"
    const val FRAGMENT_KTX = "androidx.fragment:fragment-ktx:${LibraryVersion.FRAGMENT_KTX}"
    const val LIFECYCLE_EXTENSIONS = "android.arch.lifecycle:extensions:${LibraryVersion.LIFECYCLE}"
    const val LIFECYCLE_VIEW_MODEL_KTX = "androidx.lifecycle:lifecycle-viewmodel-ktx:${LibraryVersion.LIFECYCLE_VIEW_MODEL_KTX}"
    const val NAVIGATION_FRAGMENT_KTX = "androidx.navigation:navigation-fragment-ktx:${CoreVersion.NAVIGATION}"
    const val NAVIGATION_UI_KTX = "androidx.navigation:navigation-ui-ktx:${CoreVersion.NAVIGATION}"
    const val COIL = "io.coil-kt:coil:${LibraryVersion.COIL}"
    const val COIL_SVG = "io.coil-kt:coil-svg:${LibraryVersion.COIL_SVG}"
    const val K_ANDROID = "com.pawegio.kandroid:kandroid:${LibraryVersion.K_ANDROID}"
    const val GOOGLE_SERVICES = "com.google.gms:google-services:${LibraryVersion.GOOGLE_SERVICES}"
    const val FIREBASE_ANALYTICS = "com.google.firebase:firebase-analytics-ktx:${LibraryVersion.FIREBASE_CORE}"
    const val FIREBASE_AUTH = "com.google.firebase:firebase-auth:${LibraryVersion.FIREBASE_AUTH}"
    const val FIREBASE_FIRESTORE = "com.google.firebase:firebase-firestore:${LibraryVersion.FIREBASE_FIRESTORE}"
    const val FIREBASE_MESSAGING = "com.google.firebase:firebase-messaging:${LibraryVersion.FIREBASE_MESSAGING}"
    const val FIREBASE_INAPPMESSAGING = "com.google.firebase:firebase-inappmessaging-display-ktx:${LibraryVersion.FIREBASE_INAPPMESSAGING}"
    const val FIREBASE_IID = "com.google.firebase:firebase-iid:${LibraryVersion.FIREBASE_IID}"
    const val FIREBASE_CORE = "com.google.firebase:firebase-core:${LibraryVersion.FIREBASE_CORE}"
    const val CRASHLYTICS = "com.crashlytics.sdk.android:crashlytics:${LibraryVersion.CRASHLYTICS}"
    const val FABRIC = "io.fabric.tools:gradle:${LibraryVersion.FABRIC}"
    const val NUMBER_PICKER = "com.michaelmuenzer.android:ScrollableNumberPicker:${LibraryVersion.NUMBER_PICKER}"
    const val PAGER_INDICATOR = "me.relex:circleindicator:${LibraryVersion.PAGER_INDICATOR}"
    const val RANGE_SEEK_BAR = "com.crystal:crystalrangeseekbar:${LibraryVersion.RANGE_SEEK_BAR}"
    const val MARKDOWN_VIEW = "io.noties.markwon:core:${LibraryVersion.MARKDOWN_VIEW}"
    const val ADJUST = "com.adjust.sdk:adjust-android:${LibraryVersion.ADJUST}"
    const val INSTALL_REFERRER = "com.android.installreferrer:installreferrer:${LibraryVersion.INSTALL_REFERRER}"
    const val GOOGLE_MAP = "com.google.android.gms:play-services-maps:${LibraryVersion.GOOGLE_MAP}"
}
